
$(document).ready(function() {
    initializeUI();
    initializeToobarContainer();
    $('#pageTab').tab();
    initializateSelectC();
    loadDataTest();
});

function initializateSelectC() {
    $('#productId').searchbox({
        type: "product",
        name: "productCode",
        onChange: function (value, data) {
        }
    });
}

function initializeUI() {
    UICtrl.layout("#layout",{
        leftWidth:6,
        rightWidth:6,
        allowRightCollapse: false,
        allowRightResize: false
    });
}


function loadDataTest() {
    console.log("loadData")
    var params = new URLSearchParams(document.location.search);
    var paramsData = JSON.parse(params.get("data"));
    Public.ajax(web_app.name + "/product/loadProductDetail.ajax", {
        productId: paramsData.productId
    }, function (data) {
        $('#submitForm').formSet(data);
        var fronData = {};
        fronData.Rows = data.fronColors;
        faceGrid("#frontFaceGrid", fronData);
        fronData.Rows = data.backColors;
        faceGrid("#backFaceGrid", fronData);
    });
}

function faceGrid(elId, data) {
    var toolbarOptions = UICtrl.getDefaultToolbarOptions({
        updateHandler: function(){
            updateHandler();
        },
        aaHandler: { id: 'ccAA', text: 'Hello', img: 'fa-music', className: 'btn-gray',
            click: function () {
                alert('hello~!');
            }
        }
    });
    debugger;
    var gridManager =  UICtrl.grid(elId, {
        columns: [
            { display: "颜色名称", name: "productFaceColorId", width: 140, minWidth: 60, type: "string", align: "left" },
            { display: "油墨覆盖率(%)", name: "coverageRate", width: 120, minWidth: 60, type: "string", align: "left" }
        ],
        toolbar: toolbarOptions,
        dataType: "local",
        data: data, // data 数据结构 data: ("Rows": [ {}, {} ])
        usePager: false,
        width: "100%",
        height: 150,
        onDblClickRow : function(data, rowindex, rowobj) {
            updateHandler(data);
        }
    });
}

function initializeToobarContainer(){
    $('#toolBarCenter').attr('position','bottom');
    //dropup==true 更多按钮向上展示
    $('#toolBar').data('dropup',true).removeClass('job-button-fixed-top').addClass('job-button-fixed-bottom');
    UICtrl.layout($("#jobPageLayout"), {heightDiff:-2,topHeight:40,bottomHeight:40,onSizeChanged:function(){
        }});
}
// checkbox: true,
//     enabledSort: false,
//     autoAddRowByKeydown:false,
//     heightDiff: -10,
//     fixedCellHeight: true,
//     selectRowButtonOnly: true,

// var selectedCategory = data.selectedCategory;
// $("#selectedCategory").ligerComboBox({
//     textField: 'productCategoryName',
//     valueField: 'productCategoryId',
//     columns: [
//         { header: 'ID', name: 'productCategoryId', width: 20 },
//         { header: '名字', name: 'productCategoryName' }
//     ],
//     data: selectedCategory,
//     selectBoxWidth: 200
// });